Method: parserExtensions.list

Full name: projects.locations.instances.logTypes.parserExtensions.list

List all parser extensions.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/parserExtensions

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of parser extensions. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logtype}

Query parameters

Parameters
pageSize

integer

The maximum number of parser extensions to return. The service may return fewer than this value.

pageToken

string

A page token, received from a previous parserExtensions.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to parserExtensions.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for listing parser extensions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "parserExtensions": [
    {
      object (ParserExtension)
    }
  ],
  "nextPageToken": string
}
Fields
parserExtensions[]

object (ParserExtension)

The parser extensions from the specified chronicle instance.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.parserExtensions.list

For more information, see the IAM documentation.